Home

# Class goog.positioning.ViewportClientPosition

Encapsulates a popup position where the popup is positioned relative to the window (client) coordinates, and made to stay within the viewport.

extends goog.positioning.ClientPosition

Instance Method Summary
| `reposition(?Element element, ?goog.positioning.Corner popupCorner, ?goog.math.Box= opt_margin, ?goog.math.Size= opt_preferredSize)` Repositions the popup according to the current state.
| `setLastResortOverflow(number overflow)` Set the last-resort overflow strategy, if the popup fails to fit.